Device requirements

This article describes device requirements for using XMReality.

Native mobile app requirements

XMReality provides downloadable mobile and tablet applications for Android and Apple devices. As a minimum we support at least the 3 most recent versions of iOS/iPad OS, the 4 most recent versions of Android, and smart phone / tablet hardware that is up to 4 years old.

We currently support:

  • iOS and iPadOS version 13 or later.
  • Android version 9 or later.

Native desktop app requirements

XMReality provides a downloadable desktop application for Windows. The downloadable Windows application currently supports:

  • Microsoft Windows 10 or later

Web app requirements

XMReality web apps run in the users browser. We recommend that browsers are always kept up-to-date, and that the latest available version is used at all times.

The web based desktop application for registered XMReality users currently supports the following browsers on Windows, MacOS and Linux:

  • Chrome: 72 or later
  • Edge: 72 or later (HoloLens2 requires 96 or later)
  • Safari: 13 or later
  • Firefox: 100 or later

For call link recipients, XMReality provides a web based app that supports desktops, tablets and smartphones. On Android and iOS it currently supports the latest versions of the following browsers:

  • Android: Chrome, Samsung Internet Browser, Edge, Firefox
  • iOS: Safari, Chrome, Edge

Iristick smart glasses requirements

Using XMReality with Iristick phone-tethered glasses requires an XMReality app installed on the phone.

We currently support:

  • Phones with Android version 12 or later
  • Phones with Android 11 may work (model specific)

We recommend: 

  • Google Pixel phone of the latest model